> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Client Request Payroll Run Modification

> Name and signature indicate it changes client request payroll run modification

Not available to API keys yet. It will need `payroll:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/client-request-payroll-run-modification
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/client-request-payroll-run-modification:
    post:
      operationId: clientRequestPayrollRunModification
      summary: Client Request Payroll Run Modification
      description: >-
        Name and signature indicate it changes client request payroll run
        modification


        Not available to API keys yet. It will need `payroll:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientRequestPayrollRunModificationRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ClientRequestPayrollRunModificationResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ClientRequestPayrollRunModificationRequest:
      type: object
      properties:
        payrollRunID:
          type: string
          format: uuid
        reason:
          type: string
          minLength: 10
          maxLength: 1000
        documents:
          type: array
          items:
            type: object
            properties:
              fileName:
                type: string
                minLength: 1
                maxLength: 255
              fileKey:
                type: string
                minLength: 1
                maxLength: 1024
              fileBucket:
                type: string
                minLength: 1
                maxLength: 63
            required:
              - fileName
              - fileKey
              - fileBucket
          maxItems: 10
          description: >-
            NOTE(ck): default `[]` is not expressible here, so this field is
            optional; TGA applies the default
      required:
        - payrollRunID
        - reason
    ClientRequestPayrollRunModificationResponse:
      type: object
      properties:
        payrollRunID:
          type: string
        status:
          const: CLIENT_REQUESTED_MODIFICATION
        payrollRunModificationRequestID:
          type: string
      required:
        - payrollRunID
        - status
        - payrollRunModificationRequestID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
